Programs that draw it for you!






21 November 2017

Welcome, Visitor

Powered By

lusovps.com
Visitor Access





Lisp para mudana das cores dos layers


adailton

Olá eu preciso de um lisp que mude as cores de todos os meus layers automaticamente, eu tenho um desenho q cada layer esta com um nome diferente, mas eles tem as mesmas cores, gostaria que quando o desenho fosse carregado os layers mudassem de cor automaticamente.

Se alguém poder me ajudar.

cracksther

Segue código

(defun c:corlayer (/ lay cont eLay)
(vl-load-com)
(setq cont 1)
(setq lay (tblnext \"LAYER\" t))
(while lay
(setq eLay (tblobjname \"LAYER\" (cdr (assoc 2 lay))))
(vla-put-color (vlax-ename->vla-object eLay) cont)
(setq cont (1+ cont))
(setq lay (tblnext \"LAYER\"))
)
)

Atenciosamente,
Marcelo Silva - Brasil
Engº Civil

adailton

Bom dia Marcelo.

Primeiramente muito obrigado pela ajuda.
Salvei a sua rotina lisp e carreguei mas não funcionou, utilizei a chamada do comanda "corlayer", caso não seja a mesma você pode me explicar o passo a passo. Até o momento agradeço, abraços.

cracksther

Boa tarde,

Algo aconteceu quando colei a rotina aqui no forum, sendo que as palavras LAYER devem estar em aspas duplas e no forum apareceu entre aspas duplas precedidas por uma barra.

Estou colocando novamente a rotina e acadei de descobrir um erro no fórum, peço para que o administrador verifique. A situação que ocorre é a seguinte:
1 - Colo a rotina para posta no fórum
2 - Clico no botão Prever (O PROBLEMA ESTÁ AQUI)
2.1 - Ao clicar no botão prever, a rotina é visualizada como ficaria no fórum, e na pre-visualização do post está correta, porém ao rever a rotina na caixa de mensagem observei que o sistema adicionou barras (/) antes das aspas (").
2.2. - A clicar novamente no botão prever, a quantidade de barras duplicam.

Segue novamente a rotina sem clicar no botão Prever, espero que fique correta!

(defun c:corlayer (/ lay cont eLay)
(vl-load-com)
(setq cont 1)
(setq lay (tblnext "LAYER" t))
(while lay
(setq eLay (tblobjname "LAYER" (cdr (assoc 2 lay))))
(vla-put-color (vlax-ename->vla-object eLay) cont)
(setq cont (1+ cont))
(setq lay (tblnext "LAYER"))
)
)

Dude

Obrigado pela ajuda carcksther, vamos corrigir o Bug assim que possível!

Abraço

... AutolisPro 2014



You must be registered to leave posts.


... AutolisPro is a project still under construction, we will try to implement as soon as possible all the missing features ! ...


At this starting fase, we are recruiting new programmers, if you are interested in investing in our project please contact us!


We want the site to be the most practical and functional. Your ideas and opinions are very important to us, please share them with us!


If you find any problem contact... webmaster Time to buil: 0 ... site online since October 2008... ... last update at 09/12/2014...